## s3switch 0.0.20010719

=== Makefile ===
CC	= gcc -g

all:	s3switch

s3switch:	s3switch.o lrmi.o

clean:
	rm -f s3switch *.o

## s3switch 0.1

=== Makefile ===
CFLAGS = -g
CC = gcc

all: s3switch

s3switch: s3switch.o lrmi.o

clean:
	rm -f s3switch *.o

=== debian/changelog ===
s3switch (0.1-1build1) noble; urgency=medium

  * No change rebuild to gain buildinfo.

 -- Dimitri John Ledkov <dimitri.ledkov@canonical.com>  Sun, 18 Feb 2024 13:24:19 +0000

s3switch (0.1-1) unstable; urgency=low

  * New upstream release and upstream location
    - Fixes building on newer kernels (Closes: #310984, LP: #41355)
  * debian/copyright: Updated and made machine-interpretable
  * Switch to 3.0 (quilt) source format
  * debian/control: Bump Standards-Version to 3.9.2
  * debian/control: Make myself maintainer
  * debian/rules: Add build-arch and build-indep targets
  * debian/watch added

 -- Tormod Volden <debian.tormod@gmail.com>  Mon, 21 Nov 2011 22:33:36 +0100

s3switch (0.0.20030423-2) unstable; urgency=low

  * add patch from
    http://lists.snowman.net/pipermail/mythtv-users/2003-April/003032.html to
    let TVout work on ProSavageDDR. Thanks to  Laurent Martelli <laurent at
    bearteam.org> for spotting this. (Closes: #207878)
  * bump Standards-Version to 3.6.1

 -- Guido Guenther <agx@debian.org>  Sun, 26 Oct 2003 22:15:02 +0100

s3switch (0.0.20030423-1) unstable; urgency=low

  * new upstream version
  * bump standards version to 3.5.9
  * echo 4 > debian/compat
  * cleanup debian/copyright
  * honor DEB_BUILD_OPTIONS
  * add ${misc:Depends}
  * build-depend on debhelper >= 4
  * fix includes in s3switch.c to kill gcc warnings

 -- Guido Guenther <agx@debian.org>  Wed, 23 Apr 2003 23:27:30 +0200

s3switch (0.0.20020501-1) unstable; urgency=low

  * new upstream version (Closes: #144497)

 -- Guido Guenther <agx@debian.org>  Wed,  1 May 2002 15:27:21 +0200

s3switch (0.0.20010719-4) unstable; urgency=low

  * fix spelling in control file (Closes: #125327)

 -- Guido Guenther <agx@debian.org>  Fri, 21 Dec 2001 21:38:02 +0100

s3switch (0.0.20010719-3) unstable; urgency=low

  * add support for the SuperSavage chips - thanks to Tim Roberts
  * no need to ship two almost identical versions of the
    manpage in the source package

 -- Guido Guenther <agx@debian.org>  Sun, 16 Dec 2001 02:39:42 +0100

s3switch (0.0.20010719-2) unstable; urgency=low

  * added support for the ProSavage PN(0x8d01) and KN(0x8d02) chips
    (Closes: #119379)
  * fixed spelling of package description according to:
    http://people.debian.org/~mdz/spelling/corrections.diff.gz

 -- Guido Guenther <agx@debian.org>  Wed, 21 Nov 2001 00:12:44 +0100

s3switch (0.0.20010719-1) unstable; urgency=low

  * arch is i386 only (Closes: #105865)
  * changed priority to extra
  * properly split out upstream ''package'' to clarify, that this
    is not a debian native package

 -- Guido Guenther <agx@debian.org>  Thu, 19 Jul 2001 21:03:03 +0200

s3switch (0.0.20010717) unstable; urgency=low

  * initial release (Closes: #103413)
  * moved s3switch.1x manpage to s3switch.8 since it's not a X
    application
  * added proper copyright notice
  * added clean rule to Makefile

 -- Guido Guenther <agx@debian.org>  Sun,  8 Jul 2001 00:23:33 +0200

=== debian/control ===
Source: s3switch
Section: utils
Priority: extra
Maintainer: Tormod Volden <debian.tormod@gmail.com>
Standards-Version: 3.9.2
Build-Depends: debhelper (>=7)
Vcs-Git: git://anonscm.debian.org/pkg-xorg/app/s3switch.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-xorg/app/s3switch.git

Package: s3switch
Architecture: i386
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Manage the output device on S3 Savage chips
 Depending on the Savage chip this utility can be used to switch 
 between LCD, CRT and TV output. Additionally one can choose between
 NTSC, NTSCJ and pal TV signal format.

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
        CFLAGS += -O0
else
        CFLAGS += -O2
endif
ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
        INSTALL_PROGRAM = install -s
else
        INSTALL_PROGRAM = install
endif

build: build-arch build-indep
build-arch: build-stamp
build-indep: build-stamp
build-stamp:
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE) CFLAGS="${CFLAGS}"

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp

	# Add here commands to clean up after the build process.
	$(MAKE) clean
	rm -f s3switch.8

	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs

	# Add here commands to install the package into debian/tmp.
#	$(MAKE) install DESTDIR=`pwd`/debian/s3switch
	${INSTALL_PROGRAM} s3switch `pwd`/debian/s3switch/usr/bin
	cp s3switch.1x s3switch.8

# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
#	dh_testversion
	dh_testdir
	dh_testroot
#	dh_installdebconf	
	dh_installdocs
	dh_installexamples
	dh_installmenu
#	dh_installemacsen
#	dh_installpam
#	dh_installinit
	dh_installcron
	dh_installman s3switch.8
	dh_installinfo
#	dh_undocumented
	dh_installchangelogs ChangeLog
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_makeshlibs
	dh_installdeb
#	dh_perl
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install

=== debian/watch ===
version=3
http://people.freedesktop.org/~tormod/s3switch/s3switch-(.+)\.tar\.gz
